DeclareCategory( "IsPEnvElement", IsVector and IsRingElement and
                     IsMultiplicativeElementWithOne );
DeclareCategoryCollections( "IsPEnvElement" );
DeclareCategoryFamily( "IsPEnvElement" );

##########################################################################
##
#C  IsPEnvelopingAlgebra( <U> )
##
##  Any sufficiently well-behaved quotient of a p-enveloping algebra
##  is IsPEnvelopingAlgebra.
##
DeclareCategory( "IsPEnvelopingAlgebra", IsAlgebra );


DeclareOperation( "PEnvelopingAlgebra", [ IsLieAlgebra ] );

DeclareOperation( "QuotientByMaximalIdeal", [ IsPEnvelopingAlgebra ] );
