#############################################################################
##  
##  PkgInfo file for the package Penvelope               Willem de Graaf
##  

SetPackageInfo( rec(
PkgName := "Penvelope",
Version := "1.0",
Date := "01/07/2003",
ArchiveURL := "http://www.math.uu.nl/people/graaf/penv.html",
ArchiveFormats := ".tar.gz",
Persons := [
  rec(
  LastName := "de Graaf",
  FirstNames := "Willem",
  IsAuthor := true,
  IsMaintainer := true,
  Email := "graaf@math.uu.nl",
  WWWHome := "http://www.math.uu.nl/people/graaf",
  Place := "Utrecht",
  Institution := "Mathematisch Instituut Universiteit Utrecht"
  )
],
Status := "",
#CommunicatedBy := "",
#AcceptDate := "",
PackageWWWHome := "http://www.math.uu.nl/people/graaf/penv.html",
Dependencies := rec(
  GAP := "4.3",
  NeededOtherPackages := [  ]
),
AvailabilityTest := ReturnTrue,
AutoLoad := false,

# the banner
BannerString := "                  PEnvelope!            ",
Keywords := ["restricted Lie algebras", "p-enveloping algebras"]
));


